import { ComponentRenderer, ComponentCtor, InputDescriptor, ModuleContext, ViewContext } from '../vendors/organik';
import { EnumFieldOption, EnumField, FilterDescriptor, ViewFieldDescriptor } from '../types/input';
declare function resolveWidgetCtor(moduleContext: ModuleContext, widget: ComponentRenderer | undefined, widgetNameFromRenderTypeResolver: () => string): ComponentCtor | undefined;
declare function renderFormFieldNodes<DescriptorType extends InputDescriptor & {
    hidden?: boolean;
}, NodeType>(descriptors: DescriptorType[], arrangement: string | undefined, renderChild: (descriptor: DescriptorType) => NodeType, renderRow: (descriptors: DescriptorType[], fakeIndex: number) => NodeType): NodeType[];
declare function resolvePlaceholder(fieldOrFilter: ViewFieldDescriptor | FilterDescriptor, behaviorFromConfig: boolean | undefined, behaviorFromTheme: boolean): string;
declare function resolveEnumOptions(context: ViewContext, fieldOrFilter: EnumField, callback: (options: EnumFieldOption[]) => void): void;
export { resolveWidgetCtor, renderFormFieldNodes, resolvePlaceholder, resolveEnumOptions };
